Documentation: NexRtc Class Reference

| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexRtc Class Reference
Nextion Component

NexRtc component. More...

`#include <NexRtc.h>`

## Public Member Functions

bool | write_rtc_time (char *time_type, uint32_t number)
| write rtc times More...
bool | write_rtc_time (uint32_t *time)
| write rtc times More...
uint32_t | read_rtc_time (char *time, uint32_t len)
| read rtc time More...
uint32_t | read_rtc_time (char *time_type, uint32_t *number)
| read rtc times More...
uint32_t | read_rtc_time (uint32_t *time, uint32_t len)
| read rtc time More...

## Detailed Description

NexRtc component.

Examples:
  CompRtc.ino.

Definition at line 31 of file NexRtc.h.

## Member Function Documentation

uint32_t NexRtc::read_rtc_time | ( | char * | time,
|  | uint32_t | len
| ) |  |

read rtc time

Parameters

  time | - Access data array
  len | - len of array

Returns
  true if success, false for failure

Examples:
  CompRtc.ino.

Definition at line 166 of file NexRtc.cpp.

uint32_t NexRtc::read_rtc_time | ( | char * | time_type,
|  | uint32_t * | number
| ) |  |

read rtc times

Parameters

  time_type | - To type in time
  number | - the time value

Returns
  true if success, false for failure

Definition at line 288 of file NexRtc.cpp.

uint32_t NexRtc::read_rtc_time | ( | uint32_t * | time,
|  | uint32_t | len
| ) |  |

read rtc time

Parameters

  time | - Access data array
  len | - len of array

Returns
  true if success, false for failure

Definition at line 240 of file NexRtc.cpp.

bool NexRtc::write_rtc_time | ( | char * | time_type,
|  | uint32_t | number
| ) |  |

write rtc times

Parameters

  time_type | - To type in time (example:write_rtc_time("year",2016))
  number | - the time value

Returns
  true if success, false for failure

Definition at line 125 of file NexRtc.cpp.

bool NexRtc::write_rtc_time | ( | uint32_t * | time | ) |

write rtc times

Parameters

  time | - Time to write to the array

Returns
  true if success, false for failure

Definition at line 74 of file NexRtc.cpp.

The documentation for this class was generated from the following files:

- NexRtc.h
- NexRtc.cpp